atkmm: Atk::Image Class Reference

atkmm 2.28.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Atk::Image Class Reference

The ATK Interface implemented by components which expose image or pixmap content on-screen. More...

`#include <atkmm/image.h>`

Inheritance diagram for Atk::Image:
[legend]

## Public Member Functions
| Image (Image&& src) noexcept
Image& | operator= (Image&& src) noexcept
| ~Image () noexcept override
AtkImage* | gobj ()
| Provides access to the underlying C GObject. More...
const AtkImage* | gobj () const
| Provides access to the underlying C GObject. More...
bool | set_image_description (const Glib::ustring& description)
| Sets the textual description for this image. More...
Glib::ustring | get_image_description () const
| Get a textual description of this image. More...
void | get_image_size (int& width, int& height) const
| Get the width and height in pixels for the specified image. More...
void | get_image_position (int& x, int& y, CoordType coord_type) const
| Gets the position of the image in the form of a point specifying the images top-left corner. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| Image ()
| You should derive from this class to use it. More...
virtual bool | set_image_description_vfunc (const Glib::ustring& description)
virtual const char* | get_image_description_vfunc () const
virtual void | get_image_position_vfunc (int& x, int& y, CoordType coord_type) const
virtual void | get_image_size_vfunc (int& width, int& height) const
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Atk::Image > | wrap (AtkImage* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

The ATK Interface implemented by components which expose image or pixmap content on-screen.

This should be implemented by Atk::Object subtypes on behalf of components which display image/pixmap information onscreen, and which provide information (other than just widget borders, etc.) via that image content. For instance, icons, buttons with icons, toolbar elements, and image viewing panes typically should implement AtkImage.

Atk::Image primarily provides two types of information: coordinate information (useful for screen review mode of screenreaders, and for use by onscreen magnifiers), and descriptive information. The descriptive information is provided for alternative, text-only presentation of the most significant information present in the image.

## Constructor & Destructor Documentation

Atk::Image::Image | ( |  | ) |
| protected

You should derive from this class to use it.

Atk::Image::Image | ( | Image&& | src | ) |
| noexcept

Atk::Image::~Image | ( |  | ) |
| overridenoexcept

## Member Function Documentation

static void Atk::Image::add_interface | ( | GType | gtype_implementer | ) |
| static

Glib::ustring Atk::Image::get_image_description | ( |  | ) | const

Get a textual description of this image.

Returns
  A string representing the image description.

virtual const char* Atk::Image::get_image_description_vfunc | ( |  | ) | const
| protectedvirtual

void Atk::Image::get_image_position | ( | int & | x,
|  | int & | y,
|  | CoordType | coord_type
| ) |  | const

Gets the position of the image in the form of a point specifying the images top-left corner.

Parameters

  x | Address of `int` to put x coordinate position; otherwise, -1 if value cannot be obtained.
  y | Address of `int` to put y coordinate position; otherwise, -1 if value cannot be obtained.
  coord_type | Specifies whether the coordinates are relative to the screen or to the components top level window.

virtual void Atk::Image::get_image_position_vfunc | ( | int & | x,
|  | int & | y,
|  | CoordType | coord_type
| ) |  | const
| protectedvirtual

void Atk::Image::get_image_size | ( | int & | width,
|  | int & | height
| ) |  | const

Get the width and height in pixels for the specified image.

The values of width and height are returned as -1 if the values cannot be obtained (for instance, if the object is not onscreen).

Parameters

  width | Filled with the image width, or -1 if the value cannot be obtained.
  height | Filled with the image height, or -1 if the value cannot be obtained.

virtual void Atk::Image::get_image_size_vfunc | ( | int & | width,
|  | int & | height
| ) |  | const
| protectedvirtual

static GType Atk::Image::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

AtkImage* Atk::Image::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const AtkImage* Atk::Image::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

Image& Atk::Image::operator= | ( | Image&& | src | ) |
| noexcept

bool Atk::Image::set_image_description | ( | const Glib::ustring & | description | ) |

Sets the textual description for this image.

Parameters

  description | A string description to set for image.

Returns
  Boolean `true`, or `false` if operation could not be completed.

virtual bool Atk::Image::set_image_description_vfunc | ( | const Glib::ustring & | description | ) |
| protectedvirtual

## Friends And Related Function Documentation

Glib::RefPtr< Atk::Image > wrap | ( | AtkImage * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.